%{?nodejs_find_provides_and_requires}

%global packagename test
%global enable_tests 1

Name:		nodejs-test
Version:	0.6.0
Release:	2%{?dist}
Summary:	(Un)CommonJS test runner

License:	MIT
URL:		https://github.com/Gozala/test-commonjs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(ansi-font)
%if 0%{?enable_tests}
BuildRequires:	npm
%endif

Requires:	nodejs

%description
(Un)CommonJS test runner.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
npm run test-node
%endif


%files
%{!?_licensedir:%global license %doc}
%doc History.md Readme.md
%license License.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 0.6.0-2
- Fix dependencies for tests

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 0.6.0-1
- Initial packaging
